Skip to main content
POST
/
folders
Create folder
curl --request POST \
  --url https://api.vantage.sh/v2/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "parent_folder_token": "<string>",
  "saved_filter_tokens": [
    "<string>"
  ],
  "workspace_token": "<string>",
  "type": "CostFolder"
}
'
{
  "token": "fldr_4aabe6f482c2a9e4",
  "title": "New Folder",
  "parent_folder_token": "fldr_4d29cbecf2601266",
  "created_at": "2023-09-12T05:06:52Z",
  "updated_at": "2023-09-12T05:06:52Z",
  "workspace_token": "wrkspc_510cc77828001f9b"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a Folder for CostReports.

title
string
required

The title of the Folder.

parent_folder_token
string

The token of the parent Folder.

saved_filter_tokens
string[]

The tokens of the SavedFilters to apply to any Cost Report contained within the Folder.

workspace_token
string

The token of the Workspace to add the Folder to. Ignored if 'parent_folder_token' is set. Required if the API token is associated with multiple Workspaces.

type
enum<string>
default:CostFolder

The type of the Folder.

Available options:
CostFolder,
ProviderResourceFolder

Response

Folder model

token
string
required
title
string | null
required

The title of the Folder.

Example:

"Platform Team Reports"

type
string
required

The type of the Folder.

saved_filter_tokens
string[]
required

The tokens for the SavedFilters assigned to the Folder.

created_at
string
required

The date and time, in UTC, the Folder was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Folder was last updated at. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Folder is a part of.

parent_folder_token
string | null

The token for the parent Folder, if any.